Subject: Re: MSGTRK pre-drafts

From: [email-masked]
Date: Fri, 28 Jul 2000 16:36:33 +0100

Keith Moore wrote:
>
> I'd be curious as to the justification for creating a separate
> protocol for message tracking.  to me it doesn't make any sense.

It is unclear to me what the alternative would be.  Can you elaborate ?

Cheers,
Paul

--
Paul Ford-Hutchinson : EMEA eCommerce application security :
[email-masked]
MPT-6, IBM , PO Box 31, Birmingham Rd, Warwick, CV34 5YR +44 (0)1926 462005

---

From: Tony Hansen <[email-masked]>
Date: Fri, 28 Jul 2000 12:49:11 -0400

The two choices on the table are:

1) Provide a separate protocol (the Message Tracking Query Protocol, or
MTQP) that lets you query a message's tracking status.

2) As part of the MTRK SMTP extension, add a verb that lets you query a
message's tracking status. It would be similar in a way to HELP, NOOP,
EXPN and VRFY in that it's not used in the sending of mail messages.

The original proposal was to do the second one. At Adelaide it was
proposed that we do the first one. The support for a separate protocol
was overwhelming among the people who were there.

	Tony Hansen
	[email-masked]

---

From: Keith Moore <[email-masked]>
Date: Fri, 28 Jul 2000 13:55:09 -0400

> It is unclear to me what the alternative would be.  Can you elaborate ?

at one time it was suggested that message tracking be implemented
as an SMTP extension - the SMTPs would log message passage and
you could consult them to track a message.